###################################################
### chunk number 1: 
###################################################
options(width=55)


###################################################
### chunk number 2: 
###################################################
rm(list=ls(all=TRUE))


###################################################
### chunk number 3: 
###################################################
library(prefmod)
library(gnm)


###################################################
### chunk number 4:  eval=FALSE
###################################################
## help("prefmod")
## help("gnm")


###################################################
### chunk number 5: 
###################################################
data(dat4)


###################################################
### chunk number 6: 
###################################################
options(show.signif.stars=FALSE)


###################################################
### chunk number 7: 
###################################################
des1<-llbt.design(dat4,nitems=4)
#des1


###################################################
### chunk number 8: 
###################################################
res1<-gnm(y~o1+o2+o3+o4,eliminate=mu,data=des1,family=poisson)


###################################################
### chunk number 9: 
###################################################
summary(res1)


###################################################
### chunk number 10: 
###################################################
print(res1$coefficients[7:10])


###################################################
### chunk number 11: 
###################################################
res1$coefficients[10]<-0
worth<-exp(2*res1$coefficients[7:10])/ (sum(exp(2*res1$coefficients[7:10])))
names(worth)<-paste("pi",1:4,sep="")
print(round(worth, digits=4))


###################################################
### chunk number 12: 
###################################################
data(cemspc)


###################################################
### chunk number 13: 
###################################################
des2<-llbt.design(cemspc,nitems=6)


###################################################
### chunk number 14: 
###################################################
names(des2)


###################################################
### chunk number 15: 
###################################################
names(des2)[6:11]<-c("LO","PA","MI","SG","BA","ST")


###################################################
### chunk number 16: 
###################################################
res2<-gnm(y~LO+PA+MI+SG+BA+ST+g1,eliminate=mu,data=des2,family=poisson)


###################################################
### chunk number 17: 
###################################################
summary(res2)


###################################################
### chunk number 18: 
###################################################
dev2<-round(res2$deviance, digits=4)
df2<-res2$df.residual
prob2<-1-pchisq(dev2,df2)
print(prob2)


###################################################
### chunk number 19: 
###################################################
data(cemspc)
des3<-llbt.design(cemspc,nitems=6,cov.sel=c("ENG"))
eng<-factor(des3$ENG)
names(des3)[6:11]<-c("LO","PA","MI","SG","BA","ST")


###################################################
### chunk number 20:  eval=FALSE
###################################################
## res3<-gnm(y~LO+PA+MI+SG+BA+ST+g1,eliminate=mu:eng,data=des3,family=poisson)
## summary(res3)


###################################################
### chunk number 21: 
###################################################
res3<-gnm(y~LO+PA+MI+SG+BA+ST+g1,eliminate=mu:eng,data=des3,family=poisson)


###################################################
### chunk number 22: 
###################################################
summary(res3)


###################################################
### chunk number 23: 
###################################################
#data(cemspc)
#des3<-llbt.design(cemspc,nitems=6,cov.sel=c("ENG"))
#eng<-factor(des3$ENG)
#names(des3)[6:11]<-c("LO","PA","MI","SG","BA","ST")
res31<-gnm(y~LO+PA+MI+SG+BA+ST+g1+(LO+PA+MI+SG+BA+ST):eng,eliminate=mu:eng,data=des3,family=poisson)


###################################################
### chunk number 24: 
###################################################
summary(res31)


###################################################
### chunk number 25: 
###################################################
lo1<-round(res31$coefficients[31], digits=4)
sg1<-round(res31$coefficients[34], digits=4)
sg2<-round(res31$coefficients[41], digits=4)


###################################################
### chunk number 26:  eval=FALSE
###################################################
## res32<-gnm(y~LO+PA+MI+SG+BA+ST+g1+ g1:eng+
## (LO+PA+MI+SG+BA+ST):eng,eliminate=mu:eng,data=des3,family=poisson)


###################################################
### chunk number 27: 
###################################################
OBJ<-as.matrix(des2[,c("LO","PA","MI","SG","BA","ST")])
LOC<-c(0,1,1,0,1,0)
LAT<- OBJ %*% LOC


###################################################
### chunk number 28: 
###################################################
res4<-gnm(y~LAT+g1,eliminate=mu,data=des2,family=poisson)
summary(res4)


###################################################
### chunk number 29: 
###################################################
anova(res4,res2)


